random-fu-0.3.0.1: Random number generation

Safe Haskell | None
Language | Haskell2010

Data.Random.Distribution.Multinomial

# Documentation

multinomial :: Distribution (Multinomial p) [a] => [p] -> a -> RVar [a] Source #

multinomialT :: forall p a (m :: Type -> Type). Distribution (Multinomial p) [a] => [p] -> a -> RVarT m [a] Source #

data Multinomial p a where Source #

Constructors

Multinomial :: forall p a1. [p] -> a1 -> Multinomial p [a1] |

#### Instances

Instances details

(Num a, Eq a, Fractional p, Distribution (Binomial p) a) => Distribution (Multinomial p) [a] Source # |
Instance details Defined in Data.Random.Distribution.Multinomial Methods rvar :: Multinomial p [a] -> RVar [a] Source # rvarT :: forall (n :: Type -> Type). Multinomial p [a] -> RVarT n [a] Source #